<div id="viewer_{{destination ? destination.name : -1}}" class="viewerwrap" [class.selected]="isSelected"
    >
    <!-- <div class="previewheader"> -->
    <!-- <select class="sourceselect" data-bind="options: $root.sources, optionsCaption: (selectedSource()) ? 'None' : 'Select a source...', optionsText: 'displayName', value: selectedSource, valueAllowUnset: true"></select> -->
    <!-- ko if: selectedSource() -->
    <!-- <div class="destinationsLabel" data-bind="text: selectedSource().selectedDestinationsLabel(), style: {right: (selectedSource().hasWarning()) ? '19px' : '0'}"></div> -->
    <!-- <div class="destinationsPopOver">
            <select data-bind="options: $root.destinations, optionsText: 'name', optionsValue: 'uniqueID', selectedOptions: selectedSource().selectedDestinations, valueAllowUnset: true, disable: selectedSource().isRecording" multiple="true" size="5"></select><br/>
            <button data-bind="click: function(){ return onSelectedDestinationsChanged(selectedSource());}">Close</button>
        </div> -->
    <!-- /ko -->
    <!-- </div> -->
    <div class="canvaswrap" >
        <div class="vuMeter">
            <div class="vuMeterOverlay" style.height="{{info ? (1 - info.vu_meter_levels[0]) *100 : 100}}%"></div>
        </div>
        <div class="vuMeter">
            <div class="vuMeterOverlay" style.height="{{info ? (1 - info.vu_meter_levels[1]) *100 : 100}}%"></div>
        </div>
        <div class="vuMeter">
            <div class="vuMeterOverlay" style.height="{{info ? (1 - info.vu_meter_levels[2]) *100 : 100}}%"></div>
        </div>
        <div class="vuMeter">
            <div class="vuMeterOverlay" style.height="{{info ? (1 - info.vu_meter_levels[3]) *100 : 100}}%"></div>
        </div>

        <div id="recordname" class="overlayText">
            <span [hidden]="editingName" (click)="editName($event)">{{recordingName}} <small *ngIf="!recordingName || recordingName.trim() == ''">✏️</small></span>
            <input #recordNameInput [hidden]="!editingName" name="name" (focusout)="onSourceFocusOut($event)"
                (keydown.enter)="$event.target.blur()" />
        </div>
        <div id="destName" class="overlayText">{{destination.alias? destination.alias : ""}}<br/>{{destination.name}}</div>
        <div id="sourceName" class="overlayText">{{source.alias? source.alias : ""}}<br/>{{source.name}}</div>
        <div [hidden]="!isRecording" id="stopButton" (click)="stopRecording($event)">
            <div></div>
        </div>

        <div [hidden]="isRecording" id="recordButton" (click)="startRecording($event)">
            <svg xmlns="http://www.w3.org/2000/svg">
                <circle cx="25" cy="25" r="25" fill="#500" />
                <circle cx="25" cy="25" r="18" fill="red" />
            </svg>
        </div>
        <div id="timecode" class="overlayText">{{info && info.timecode ? "TC: " + info.timecode : ""}}</div>
        <div id="elapsed" class="overlayText">{{elapsed}}</div>
        <div class="recordname"></div>
        <img [src]="thumbnail"  [class.recording]="isRecording" />
        <!-- <canvas id="preview" width="214" height="120">Your browser is not supported</canvas> -->
    </div>
    <app-router-panel [style.display]="isViewOnly? 'none': 'block'" selectedDestinationIndex="{{destination ? destination.index : -1}}" destinationDisabled="true">
    </app-router-panel>
</div>